/// <reference types="node" />
import * as web3 from '@solana/web3.js';
import * as beet from '@metaplex-foundation/beet';
export declare type CreatorAccountDataArgs = {
    address: web3.PublicKey;
    verified: boolean;
    share: number;
};
export declare class CreatorAccountData implements CreatorAccountDataArgs {
    readonly address: web3.PublicKey;
    readonly verified: boolean;
    readonly share: number;
    private constructor();
    static get byteSize(): number;
    static fromArgs(args: CreatorAccountDataArgs): CreatorAccountData;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [CreatorAccountData, number];
    static deserialize(buf: Buffer, offset?: number): [CreatorAccountData, number];
    static getMinimumBalanceForRentExemption(connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static hasCorrectByteSize(buf: Buffer, offset?: number): boolean;
    serialize(): [Buffer, number];
    pretty(): {
        address: string;
        verified: boolean;
        share: number;
    };
}
export declare const creatorAccountDataStruct: beet.BeetStruct<CreatorAccountData, CreatorAccountDataArgs>;
