"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.creatorAccountDataStruct = exports.CreatorAccountData = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const beetSolana = __importStar(require("@metaplex-foundation/beet-solana"));
class CreatorAccountData {
    constructor(address, verified, share) {
        this.address = address;
        this.verified = verified;
        this.share = share;
    }
    static get byteSize() {
        return exports.creatorAccountDataStruct.byteSize;
    }
    static fromArgs(args) {
        return new CreatorAccountData(args.address, args.verified, args.share);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return CreatorAccountData.deserialize(accountInfo.data, offset);
    }
    static deserialize(buf, offset = 0) {
        return exports.creatorAccountDataStruct.deserialize(buf, offset);
    }
    static async getMinimumBalanceForRentExemption(connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(CreatorAccountData.byteSize, commitment);
    }
    static hasCorrectByteSize(buf, offset = 0) {
        return buf.byteLength - offset === CreatorAccountData.byteSize;
    }
    serialize() {
        return exports.creatorAccountDataStruct.serialize(this);
    }
    pretty() {
        return {
            address: this.address.toBase58(),
            verified: this.verified,
            share: this.share,
        };
    }
}
exports.CreatorAccountData = CreatorAccountData;
exports.creatorAccountDataStruct = new beet.BeetStruct([
    ['address', beetSolana.publicKey],
    ['verified', beet.u8],
    ['share', beet.u8],
], CreatorAccountData.fromArgs, 'CreatorAccountData');
//# sourceMappingURL=Creator.js.map